# PSF-LoginServer - master - net.psforever.objects.serverobject.environment.SeaLevel
PSF - LoginServer - master - net.psforever.objects.serverobject.environment.SeaLevel
Keywords: PSF LoginServer master net.psforever.objects.serverobject.environment.SeaLevel

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package serverobject
  Definition Classes
    objects
-  package environment
  Definition Classes
    serverobject
- DeepCircularSurface
- DeepPlane
- DeepSquare
- DeepSurface
- EnvironmentAttribute
- EnvironmentCollision
- EnvironmentTrait
- EscapeFromEnvironment
- GantryDenialField
- InteractWithEnvironment
- InteractingWithEnvironment
- OxygenStateTarget
- PieceOfEnvironment
- Pool
- RecoveredFromEnvironmentInteraction
- RespondsToZoneEnvironment
- SeaLevel

c

net.psforever.objects.serverobject.environment

# SeaLevel 

###
Companion object SeaLevel

#### final case class SeaLevel(attribute: EnvironmentTrait, altitude: Float) extends PieceOfEnvironment with Product with Serializable

A planar environment that spans the whole of the game world and starts at and below a certain altitude.

attribute

  of what the environment is composed

altitude

  how high the environment starts

Source
  PieceOfEnvironment.scala

Linear Supertypes
Serializable, Product, Equals, PieceOfEnvironment, BlockMapEntity, WorldEntity, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. SeaLevel
2. Serializable
3. Product
4. Equals
5. PieceOfEnvironment
6. BlockMapEntity
7. WorldEntity
8. AnyRef
9. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new SeaLevel(attribute: EnvironmentTrait, altitude: Float)

   attribute

     of what the environment is composed

   altitude

     how high the environment starts

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def Orientation: Vector3
   Definition Classes
     PieceOfEnvironment → WorldEntity
5.  def Orientation_=(vec: Vector3): Vector3
   Definition Classes
     PieceOfEnvironment → WorldEntity
6.  def Position: Vector3
   Definition Classes
     SeaLevel → PieceOfEnvironment → WorldEntity
7.  def Position_=(vec: Vector3): Vector3
   Definition Classes
     PieceOfEnvironment → WorldEntity
8.  def Velocity: Option[Vector3]
   Definition Classes
     PieceOfEnvironment → WorldEntity
9.  def Velocity_=(vec: Option[Vector3]): Option[Vector3]
   Definition Classes
     PieceOfEnvironment → WorldEntity
10.  def Velocity_=(vec: Vector3): Option[Vector3]
    Definition Classes
      WorldEntity
11.  val altitude: Float
12.  final def asInstanceOf[T0]: T0
    Definition Classes
      Any
13.  val attribute: EnvironmentTrait

    a general description of this environment

    a general description of this environment

    Definition Classes
      SeaLevel → PieceOfEnvironment
14.  def blockMapEntry: Option[BlockMapEntry]

    internal data regarding an active representation on a blockmap

    internal data regarding an active representation on a blockmap

    Definition Classes
      BlockMapEntity
15.  def blockMapEntry_=(entry: Option[BlockMapEntry]): Option[BlockMapEntry]

    internal data regarding an active representation on a blockmap

    internal data regarding an active representation on a blockmap

    Definition Classes
      BlockMapEntity
16.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
17.  def collision: EnvironmentCollision

    a special representation of the region that qualifies as "this environment"

    a special representation of the region that qualifies as "this environment"

    Definition Classes
      SeaLevel → PieceOfEnvironment
18.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
19.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
20.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
21.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
22.  def isMoving(test: Float): Boolean

    This object is not considered moving unless it is moving at least as fast as a certain velocity.

    This object is not considered moving unless it is moving at least as fast as a certain velocity.

    test

      the (squared) velocity to test against

    returns

      `true`, if we are moving; `false`, otherwise

    Definition Classes
      WorldEntity
23.  def isMoving(test: Vector3): Boolean

    This object is not considered moving unless it is moving at least as fast as a certain velocity.

    This object is not considered moving unless it is moving at least as fast as a certain velocity.

    test

      the velocity to test against

    returns

      `true`, if we are moving; `false`, otherwise

    Definition Classes
      WorldEntity
24.  def isMoving: Boolean

    A velocity of non-zero is the same as moving.

    A velocity of non-zero is the same as moving.

    returns

      `true`, if we are moving; `false`, otherwise

    Definition Classes
      WorldEntity
25.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
26.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
27.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
28.  def productElementNames: Iterator[String]
    Definition Classes
      Product
29.  def sector(zone: Zone, range: Float): SectorPopulation

    Buckets in the blockmap are called "sectors".

    Buckets in the blockmap are called "sectors". Find the sectors in a given blockmap in which the entity would be represented within a given range.

    zone

      what region the blockmap represents

    range

      the custom distance from the central sector along the major axes

    returns

      a conglomerate sector which lists all of the entities in the allocated sector(s)

    Definition Classes
      BlockMapEntity
30.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
31.  def testInteraction(pos: Vector3, varDepth: Float): Boolean

    Is the test point "within" the bounds of the represented environment?

    Is the test point "within" the bounds of the represented environment?

    pos

      the test point

    varDepth

      how far "into" the environment the point must be

    returns

      `true`, if the point is sufficiently "deep"; `false`, otherwise

    Definition Classes
      PieceOfEnvironment
32.  def testStepIntoInteraction(pos: Vector3, previousPos: Vector3, varDepth: Float): Option[Boolean]

    Did the test point move into or leave the bounds of the represented environment since its previous test?

    Did the test point move into or leave the bounds of the represented environment since its previous test?

    pos

      the test point

    previousPos

      the previous test point which is being compared against

    varDepth

      how far "into" the environment the point must be

    returns

      `Some(true)`, if the point has become sufficiently "deep"; `Some(false)`, if the point has left the sufficiently "deep" region; `None`, otherwise

    Definition Classes
      PieceOfEnvironment
33.  def updateBlockMapEntry(newCoords: Vector3): Boolean

    Update the internal data's known coordinate position without changing representation on whatever blockmap.

    Update the internal data's known coordinate position without changing representation on whatever blockmap. Has the potential to cause major issues with the blockmap if used without external checks.

    newCoords

      the coordinate position

    returns

      `true`, if the coordinates were updated; `false`, otherwise

    Definition Classes
      BlockMapEntity
34.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
35.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
36.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from PieceOfEnvironment

### Inherited from BlockMapEntity

### Inherited from WorldEntity

### Inherited from AnyRef

### Inherited from Any

### Ungrouped